package com.red.circle;

import com.red.circle.component.redis.RedisAutoConfiguration;
import com.red.circle.framework.cloud.annotation.RedCircleCloudApplication;
import org.mybatis.spring.annotation.MapperScan;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.scheduling.annotation.EnableScheduling;

/**
 * Spring Boot Starter.
 *
 * @author pengliang on 2023/5/7
 */
@MapperScan("com.red.circle.console.infra.database.rds.dao.*")
@EnableScheduling
@EnableDiscoveryClient
@EnableFeignClients
@SpringBootApplication(exclude = RedisAutoConfiguration.class)
public class ConsoleServiceApplication {

  private static final Logger log = LoggerFactory.getLogger(ConsoleServiceApplication.class);

  public static void main(String[] args) {
    log.info("Begin to start Spring Boot Application");
    long startTime = System.currentTimeMillis();
    SpringApplication.run(ConsoleServiceApplication.class, args);
    long endTime = System.currentTimeMillis();
    log.info("End starting Spring Boot Application, Time used: " + (endTime - startTime));
  }

}
